System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.BindingElementExtensionElement To be added.

Represents a configuration element that specifies a privacy notice used in wsFederationHttp binding.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the object that represents this custom binding element.

- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  Creates a new a custom binding element object based on the setting of this configuration element.

  A custom object whose properties are based on the setting of this configuration element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a instance that contains a collection of objects that can be attributes or objects of this configuration element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("url", Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Uri To be added. To be added.

  Gets or sets the URI at which the privacy notice is located.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("version", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.IntegerValidator(ExcludeRange=false, MaxValue=2147483647, MinValue=0)
  System.Int32 To be added. To be added.

  Gets or sets the version of this privacy notice.